function AISMN_Monitor_Health::OnEnter(%this, %data)
{
   return;
}

function AISMN_Monitor_Health::OnExit(%this, %data)
{
   return;
}

//EXIT 0: NO HEALTH LEFT
function AISMN_Monitor_Health::Update(%this, %data)
{
   %object = GetThisObject(%data);
   if (%object.health <= 0)
   {
      ReturnValue(%data, 0);
   }
   else
   {
      ReturnValue(%data, -1);
   }
}
